"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createReactModularizedReducer = void 0;
exports.createReactModularizedReducer = function (modules) {
    return function (innerReducer) {
        return function (state, action) {
            var reducers = Object
                .keys(modules)
                .map(function (name) { return modules[name].reducer; });
            reducers.unshift(innerReducer);
            return reducers.reduce(function (previousState, reducer) {
                return reducer(previousState, action);
            }, state);
        };
    };
};
//# sourceMappingURL=reducer.js.map